11 Replies Latest reply: Dec 11, 2012 4:39 AM by anthonyfromdf
TxSue Level 1 Level 1 (0 points)

I need to find out if my Mac OS X 10.4 Tiger is going to be able to be upgraded so I can upgrade the latest versions of browsers. I am experiencing

problems trying to upgrade the latest versions because they are not compatible with my vintage system.. 5 years old doesn't seem vintage to me. My Mac still works great I can buy a new one.


iMac, Mac OS X (10.4.11)